[![nuxt-directus](https://nuxt-directus.netlify.app/preview-dark.png)](https://nuxt-directus.netlify.app/)

# nuxt-directus

[![npm version][npm-version-src]][npm-version-href]
[![npm downloads][npm-downloads-src]][npm-downloads-href]
[![Github Actions CI][github-actions-ci-src]][github-actions-ci-href]
[![Codecov][codecov-src]][codecov-href]
[![License][license-src]][license-href]

> Directus Module for [Nuxt 3](https://v3.nuxtjs.org)

- [✨ &nbsp;Release Notes](https://github.com/intevel/nuxt-directus/releases)
- [📖 &nbsp;Read the documentation](https://nuxt-directus.netlify.app/)

## Features

- Nuxt3 ready
- Handle authentication
- RESTful methods
- TypeScript Support


## Setup

```sh
yarn add nuxt-directus # yarn
npm i nuxt-directus # npm
```

## Basic usage

Add `nuxt-directus` to your Nuxt config:

```javascript
// nuxt.config.js

export default {
  modules: ["nuxt-directus"],
};
```

## Development

1. Clone this repository
2. Install dependencies using `yarn install` or `npm install`
3. Run `yarn dev:prepare` or `npm run dev:prepare`
4. Start development server using `yarn dev` or `npm run dev`

## License

Copyright (c) 2022 Conner Luka Bachmann
[MIT License](./LICENSE)

<!-- Badges -->

[npm-version-src]: https://img.shields.io/npm/v/nuxt-directus/latest.svg
[npm-version-href]: https://npmjs.com/package/nuxt-directus
[npm-downloads-src]: https://img.shields.io/npm/dt/nuxt-directus.svg
[npm-downloads-href]: https://npmjs.com/package/nuxt-directus
[github-actions-ci-src]: https://github.com/intevel/nuxt-directus/actions/workflows/ci.yml/badge.svg
[github-actions-ci-href]: https://github.com/intevel/nuxt-directus/actions?query=workflow%3Aci
[codecov-src]: https://img.shields.io/codecov/c/github/intevel/nuxt-directus.svg
[codecov-href]: https://codecov.io/gh/intevel/nuxt-directus
[license-src]: https://img.shields.io/npm/l/nuxt-directus.svg
[license-href]: https://npmjs.com/package/nuxt-directus
